Debian Stretch | YunoHost is NOT YET compatible | YunoHost N'EST PAS ENCORE compatible

en
fr
#1

Hello everyone,

You’ve probably seen that Debian just released a new version called Stretch, which is great news!

BUT, YunoHost has not been tested on it yet, so please don’t upgrade yet, that breaks things!

Please note you can’t upgrade by mistake, so please continue to keep your system up-to-date using YunoHost web interface, or by command line interface: apt-get or aptitude. The current Debian version YunoHost supports, Debian Jessie, will still get Debian’s support until may 2018 (the community will extend this up to 2020, but we’ll have migrated by then).

[EDIT] : There is a risk to upgrade by mistake if you have install YunoHost on top of a custom debian setup OR if you have setup some community apps. We are working on a solution to fix it.
If you are using an internet cube (La brique Internet), a raspberry pi install with our image or if you have done the install with our iso AND if you have not install an app from the community list, upgrading should be safe.[/EDIT]

We are currently working on finishing the 2.6 version of YunoHost, then we’ll certainly move on to making YunoHost compatible with Stretch in the next release. You can help us finishing the 2.6 release by contributing to the beta testing program

Thanks for your support <3

Bonjour à tous,

vous aurez probablement vu que le projet Debian a sorti une nouvelle version appelée Stretch, ce qui est une bonne nouvelle !

MAIS, YunoHost n’a pas encore été testé pour celle-ci, donc veuillez ne pas migrer, cela pourrait casser votre système !

Vous ne pouvez pas mettre à jour par erreur, donc continuez à maintenir à jour votre système en utilisant l’interface web ou en ligne de commande (apt-get ou aptitude). La version de Debian que YunoHost prend en charge, Debian Jessie, continuera à recevoir des corrections de la part de Debian jusqu’en mai 2018 (la communauté étendra cette plage jusqu’en 2020, mais nous aurons migré d’ici là).

[EDIT] : Il y a en fait un risque de migration par erreur si vous avez installé YunoHost sur une installation personnalisée de Debian OU si vous utilisez certaines applications communautaires. Nous travaillons à une solution pour corriger le problème.
Si vous utilisez la Brique Internet,une installation sur un Raspberry Pi avec notre image, ou si vous avez installé avec notre ISO, ET que vous n’avez aucune application de la liste communautaire, alors la mise à jour de votre système ne devrait pas être problématique.[/EDIT]

Nous sommes en phase de finalisation de la version 2.6, ensuite nous allons certainement nous concentrer sur la compatibilité avec Stretch pour la prochaine version. Vous pouvez nous aider à finaliser la version 2.6 en contribuant au test de la beta

Merci pour votre soutien <3

2 Likes
EN FR | Sortie de YunoHost 2.6 - Aaron Swartz | YunoHost 2.6 release - Aaron Swartz
Manual installation on stretch fails. (must I downgrade to jesse?)
Setting up deb package sources failed
[Résolu] Échec/Raspberry, essais de sauvegarde, ré-installation, restauration, pour un site en nohost.me, créé une série de difficultés
[Résolu] Échec/Raspberry, essais de sauvegarde, ré-installation, restauration, pour un site en nohost.me, créé une série de difficultés
#3

Be careful: if you have on of the community apps install, they might trigger a upgrade to stretch (because they include new apt lists):

  • os.js_ynh
  • osmw_ynh
  • umap_ynh
  • jenkins_ynh

Other community apps should be safe.

#5

Another important information: we have been informed that some of you have had and unintended upgrade to Debian Strech while using yunohost tools upgrade. This is because, in your apt sources files (the files located in /etc/apt/sources.list and /etc/apt/sources.list.d/* the word stable is used instead of jessie).

To solve this problem, you can either

To install the application either uses the admin interface or run this command:

 yunohost app install https://github.com/YunoHost-Apps/no_stretch_ynh

This app will self remove itself after having been installed.

Note: this app has not been yet officially validated and may not cover some unknown edge cases

Pi Zero - manual installation of metronome fails
YunoHost 2.7 stable release - Eben Moglen | Sortie de YunoHost 2.7 stable - Eben Moglen
Installation on eee pc 1000h failed
[Resolved] Error while updating from CLI + error nginx
Installation qui empire à chaque essai
pinned globally #6
New app Archivist